"use strict";

exports.__esModule = true;
exports.default = void 0;

var warning = function warning() {};

if (process.env.NODE_ENV !== 'production') {
  warning = function warning(template) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    if (template == null) {
      throw new Error('`warning(condition, template, ...args)` requires a warning message template');
    }

    if (typeof console !== 'undefined') {
      var argsWithFormat = args.map(function (item) {
        return '' + item;
      });
      argsWithFormat.unshift('Warning: ' + template);
      Function.prototype.apply.call(console.error, console, argsWithFormat);
    }

    try {
      // This error was thrown as a convenience so that you can use this stack
      // to find the callsite that caused this warning to fire.
      var argIndex = 0;
      var message = 'Warning: ' + template.replace(/%s/g, function () {
        return args[argIndex++];
      });
      throw new Error(message);
    } catch (x) {}
  };
}

var _default = warning;
exports.default = _default;